Toybrick

楼主: jefferyzhang

[Latest Version] [1.3.2] rknn-toolkit & rknn-api for Toybrick

rakidis

注册会员

积分
144
发表于 2020-4-22 16:11:01 | 显示全部楼层
Hello, could you provide some information about when next update will be available by estimation?
Also, do you have plans to have support for new torch version 1.5 in near future?
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-4-22 16:30:47 | 显示全部楼层
rakidis 发表于 2020-4-22 16:11
Hello, could you provide some information about when next update will be available by estimation?
Al ...

The next update (1.3.x) focuses on fixing bugs. I don't know the details because I'm not in NPU team.  
TF2/keras and pytorch 1.5 all in their roadmap, but I think their focus is still on solving the current issues in near future.
回复

使用道具 举报

xsky

中级会员

积分
328
发表于 2020-5-6 10:39:29 | 显示全部楼层
Win10 python都支持,为啥不搞通C API呢,需要啊
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-5-6 10:45:38 | 显示全部楼层
xsky 发表于 2020-5-6 10:39
Win10 python都支持,为啥不搞通C API呢,需要啊

曾经有,windows坑太多,每个客户出现的问题都不一样。NPU部门决定不搞了。抵制windows中。
建议用linux系统做上位机。非要用windows就只能走python这种统一接口。
回复

使用道具 举报

15992605143

注册会员

积分
193
发表于 2020-5-6 21:16:59 | 显示全部楼层
如何使用源码编译,以便可以使用rknn api 1.30
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-5-6 21:53:30 | 显示全部楼层
15992605143 发表于 2020-5-6 21:16
如何使用源码编译,以便可以使用rknn api 1.30

我们rknn-api里有sample和文档可以参考
回复

使用道具 举报

15992605143

注册会员

积分
193
发表于 2020-5-6 23:40:43 | 显示全部楼层
我用1.3版本的librknn_api.so替换了原来的版本,打印显示如下:
D RKNNAPI: ==============================================
D RKNNAPI: RKNN VERSION:
D RKNNAPI:   API: 1.3.0 (c5654ea build: 2019-12-25 14:12:00)
D RKNNAPI:   DRV: 0.9.6 (c12de8a build: 2019-05-06 20:10:17)
D RKNNAPI: ==============================================

DRV版本不对,请问如何更新DRV版本?
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-5-7 11:15:27 | 显示全部楼层
15992605143 发表于 2020-5-6 23:40
我用1.3版本的librknn_api.so替换了原来的版本,打印显示如下:
D RKNNAPI: ============================= ...

Toybrick产品均可以通过apt/dnf/yum  update/upgrade 升级
回复

使用道具 举报

15992605143

注册会员

积分
193
发表于 2020-5-7 12:12:38 | 显示全部楼层
jefferyzhang 发表于 2020-5-7 11:15
Toybrick产品均可以通过apt/dnf/yum  update/upgrade 升级

我使用的是源码编译的固件,这些方法都不适合我。请问drv涉及到的源代码或者so文件包括哪些?
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-5-7 15:02:10 | 显示全部楼层
15992605143 发表于 2020-5-7 12:12
我使用的是源码编译的固件,这些方法都不适合我。请问drv涉及到的源代码或者so文件包括哪些? ...

Toybrick没有提供源码编译的固件,请咨询提供给你代码的厂商或者部门。
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表